Index: trunk/modules/vci_io_bridge/caba/source/src/vci_io_bridge.cpp
===================================================================
--- trunk/modules/vci_io_bridge/caba/source/src/vci_io_bridge.cpp	(revision 713)
+++ trunk/modules/vci_io_bridge/caba/source/src/vci_io_bridge.cpp	(revision 715)
@@ -2151,8 +2336,8 @@
     m_dma_cmd_data_fifo.update(   dma_cmd_fifo_get,
                                   dma_cmd_fifo_put,
-                                  p_vci_tgt_iox.wdata.read() ); 
+                                  p_vci_tgt_iox.wdata.read() );
     m_dma_cmd_be_fifo.update(     dma_cmd_fifo_get,
                                   dma_cmd_fifo_put,
-                                  p_vci_tgt_iox.be.read() ); 
+                                  p_vci_tgt_iox.be.read() );
     m_dma_cmd_eop_fifo.update(    dma_cmd_fifo_get,
                                   dma_cmd_fifo_put,
@@ -2169,14 +2354,14 @@
     m_dma_rsp_rsrcid_fifo.update( dma_rsp_fifo_get,
                                   dma_rsp_fifo_put,
-                                  dma_rsp_fifo_rsrcid ); 
+                                  dma_rsp_fifo_rsrcid );
     m_dma_rsp_rtrdid_fifo.update( dma_rsp_fifo_get,
                                   dma_rsp_fifo_put,
-                                  dma_rsp_fifo_rtrdid ); 
+                                  dma_rsp_fifo_rtrdid );
     m_dma_rsp_rpktid_fifo.update( dma_rsp_fifo_get,
                                   dma_rsp_fifo_put,
-                                  dma_rsp_fifo_rpktid ); 
+                                  dma_rsp_fifo_rpktid );
     m_dma_rsp_reop_fifo.update(   dma_rsp_fifo_get,
                                   dma_rsp_fifo_put,
-                                  dma_rsp_fifo_reop );     
+                                  dma_rsp_fifo_reop );
     m_dma_rsp_rerror_fifo.update( dma_rsp_fifo_get,
                                   dma_rsp_fifo_put,
@@ -2190,29 +2375,26 @@
     m_config_cmd_addr_fifo.update(   config_cmd_fifo_get,
                                      config_cmd_fifo_put,
-                                     r_config_cmd_address.read() ); 
+                                     r_config_cmd_address.read() );
     m_config_cmd_cmd_fifo.update(    config_cmd_fifo_get,
                                      config_cmd_fifo_put,
-                                     r_config_cmd_cmd.read() ); 
+                                     r_config_cmd_cmd.read() );
     m_config_cmd_contig_fifo.update( config_cmd_fifo_get,
                                      config_cmd_fifo_put,
-                                     r_config_cmd_contig.read() ); 
+                                     r_config_cmd_contig.read() );
     m_config_cmd_cons_fifo.update(   config_cmd_fifo_get,
                                      config_cmd_fifo_put,
-                                     r_config_cmd_cons.read() ); 
+                                     r_config_cmd_cons.read() );
     m_config_cmd_plen_fifo.update(   config_cmd_fifo_get,
                                      config_cmd_fifo_put,
-                                     r_config_cmd_plen.read() ); 
+                                     r_config_cmd_plen.read() );
     m_config_cmd_wrap_fifo.update(   config_cmd_fifo_get,
                                      config_cmd_fifo_put,
-                                     r_config_cmd_wrap.read() ); 
+                                     r_config_cmd_wrap.read() );
     m_config_cmd_cfixed_fifo.update( config_cmd_fifo_get,
                                      config_cmd_fifo_put,
-                                     r_config_cmd_cfixed.read() ); 
+                                     r_config_cmd_cfixed.read() );
     m_config_cmd_clen_fifo.update(   config_cmd_fifo_get,
                                      config_cmd_fifo_put,
-                                     r_config_cmd_clen.read() ); 
-    m_config_cmd_srcid_fifo.update(  config_cmd_fifo_get,
-                                     config_cmd_fifo_put,
-                                     r_config_cmd_srcid.read() );
+                                     r_config_cmd_clen.read() );
     m_config_cmd_trdid_fifo.update(  config_cmd_fifo_get,
                                      config_cmd_fifo_put,
@@ -2230,5 +2412,5 @@
                                      config_cmd_fifo_put,
                                      r_config_cmd_eop.read() );
-    
+
     //////////////////////////////////////////////////////////////////////////
     // CONFIG_RSP fifo update
@@ -2238,5 +2420,5 @@
     m_config_rsp_data_fifo.update(   config_rsp_fifo_get,
                                      config_rsp_fifo_put,
-                                     config_rsp_fifo_rdata ); 
+                                     config_rsp_fifo_rdata );
     m_config_rsp_rsrcid_fifo.update( config_rsp_fifo_get,
                                      config_rsp_fifo_put,
@@ -2254,5 +2436,5 @@
                                      config_rsp_fifo_put,
                                      config_rsp_fifo_rerror );
-      
+
     ////////////////////////////////////////////////////////////////
     // MISS_WTI_CMD fifo update
@@ -2262,8 +2444,8 @@
     m_miss_wti_cmd_addr_fifo.update(   miss_wti_cmd_fifo_get,
                                        miss_wti_cmd_fifo_put,
-                                       miss_wti_cmd_fifo_address ); 
+                                       miss_wti_cmd_fifo_address );
     m_miss_wti_cmd_cmd_fifo.update(    miss_wti_cmd_fifo_get,
                                        miss_wti_cmd_fifo_put,
-                                       miss_wti_cmd_fifo_cmd ); 
+                                       miss_wti_cmd_fifo_cmd );
     m_miss_wti_cmd_contig_fifo.update( config_cmd_fifo_get,
                                        miss_wti_cmd_fifo_put,
@@ -2302,5 +2484,5 @@
                                        miss_wti_cmd_fifo_put,
                                        true );
-    
+
 } // end transition()
 
@@ -2313,10 +2495,10 @@
     // VCI initiator command on RAM network
     // directly the content of the dma_cmd FIFO
-    p_vci_ini_ram.cmdval  = m_dma_cmd_addr_fifo.rok(); 
+    p_vci_ini_ram.cmdval  = m_dma_cmd_addr_fifo.rok();
     p_vci_ini_ram.address = m_dma_cmd_addr_fifo.read();
     p_vci_ini_ram.be      = m_dma_cmd_be_fifo.read();
     p_vci_ini_ram.cmd     = m_dma_cmd_cmd_fifo.read();
     p_vci_ini_ram.contig  = m_dma_cmd_contig_fifo.read();
-    p_vci_ini_ram.wdata   = m_dma_cmd_data_fifo.read(); 
+    p_vci_ini_ram.wdata   = m_dma_cmd_data_fifo.read();
     p_vci_ini_ram.eop     = m_dma_cmd_eop_fifo.read();
     p_vci_ini_ram.cons    = m_dma_cmd_cons_fifo.read();
@@ -2328,9 +2510,9 @@
     p_vci_ini_ram.pktid   = m_dma_cmd_pktid_fifo.read();
     p_vci_ini_ram.srcid   = m_dma_cmd_srcid_fifo.read();
-    
+
     // VCI initiator response on the RAM Network
     // depends on the DMA_RSP FSM state
-   	p_vci_ini_ram.rspack = m_dma_rsp_data_fifo.wok() and
-                           (r_dma_rsp_fsm.read() == DMA_RSP_PUT_DMA); 
+    p_vci_ini_ram.rspack = m_dma_rsp_data_fifo.wok() and
+                           (r_dma_rsp_fsm.read() == DMA_RSP_PUT_DMA);
 
     /////////////////  p_vci_tgt_iox  /////////////////////////////
@@ -2342,5 +2524,5 @@
     p_vci_tgt_iox.rtrdid  = m_dma_rsp_rtrdid_fifo.read();
     p_vci_tgt_iox.rpktid  = m_dma_rsp_rpktid_fifo.read();
-    p_vci_tgt_iox.rdata   = m_dma_rsp_data_fifo.read(); 
+    p_vci_tgt_iox.rdata   = m_dma_rsp_data_fifo.read();
     p_vci_tgt_iox.rerror  = m_dma_rsp_rerror_fifo.read();
     p_vci_tgt_iox.reop    = m_dma_rsp_reop_fifo.read();
@@ -2348,26 +2530,26 @@
     // VCI target command ack on IOX network
     // depends on the DMA_CMD FSM state
-    switch ( r_dma_cmd_fsm.read() ) 
-    {
-        case DMA_CMD_IDLE:             
-             p_vci_tgt_iox.cmdack  = false; 
+    switch ( r_dma_cmd_fsm.read() )
+    {
+        case DMA_CMD_IDLE:
+             p_vci_tgt_iox.cmdack  = false;
              break;
         case DMA_CMD_DMA_REQ:
-             p_vci_tgt_iox.cmdack  = m_dma_cmd_addr_fifo.wok(); 
+             p_vci_tgt_iox.cmdack  = m_dma_cmd_addr_fifo.wok();
              break;
         case DMA_CMD_WTI_IOX_REQ:
-             p_vci_tgt_iox.cmdack  = not r_dma_cmd_to_miss_wti_cmd_req.read(); 
+             p_vci_tgt_iox.cmdack  = not r_dma_cmd_to_miss_wti_cmd_req.read();
              break;
         case DMA_CMD_ERR_WTI_REQ:
-             p_vci_tgt_iox.cmdack  = false; 
+             p_vci_tgt_iox.cmdack  = false;
              break;
-        case DMA_CMD_ERR_WAIT_EOP: 
-             p_vci_tgt_iox.cmdack  = true;  
+        case DMA_CMD_ERR_WAIT_EOP:
+             p_vci_tgt_iox.cmdack  = true;
              break;
-        case DMA_CMD_ERR_RSP_REQ: 
-             p_vci_tgt_iox.cmdack  = false;  
+        case DMA_CMD_ERR_RSP_REQ:
+             p_vci_tgt_iox.cmdack  = false;
              break;
-        case DMA_CMD_TLB_MISS_WAIT: 
-             p_vci_tgt_iox.cmdack  = false;  
+        case DMA_CMD_TLB_MISS_WAIT:
+             p_vci_tgt_iox.cmdack  = false;
              break;
     }
@@ -2382,5 +2564,5 @@
     p_vci_ini_iox.cmd     = m_config_cmd_cmd_fifo.read();
     p_vci_ini_iox.contig  = m_config_cmd_contig_fifo.read();
-    p_vci_ini_iox.wdata   = m_config_cmd_data_fifo.read(); 
+    p_vci_ini_iox.wdata   = m_config_cmd_data_fifo.read();
     p_vci_ini_iox.eop     = m_config_cmd_eop_fifo.read();
     p_vci_ini_iox.cons    = m_config_cmd_cons_fifo.read();
@@ -2391,9 +2573,9 @@
     p_vci_ini_iox.trdid   = m_config_cmd_trdid_fifo.read();
     p_vci_ini_iox.pktid   = m_config_cmd_pktid_fifo.read();
-    p_vci_ini_iox.srcid   = m_config_cmd_srcid_fifo.read();
-    
+    p_vci_ini_iox.srcid   = m_iox_srcid;
+
     // VCI initiator response on IOX Network
     // it depends on the CONFIG_RSP FSM state
-   	p_vci_ini_iox.rspack = m_config_rsp_data_fifo.wok() and 
+    p_vci_ini_iox.rspack = m_config_rsp_data_fifo.wok() and
                            ( (r_config_rsp_fsm.read() == CONFIG_RSP_PUT_UNC) or
                              (r_config_rsp_fsm.read() == CONFIG_RSP_PUT_HI) );
@@ -2404,5 +2586,5 @@
     // directly the content of the CONFIG_RSP FIFO
     p_vci_tgt_int.rspval  = m_config_rsp_data_fifo.rok();
-	p_vci_tgt_int.rsrcid  = m_config_rsp_rsrcid_fifo.read();
+    p_vci_tgt_int.rsrcid  = m_config_rsp_rsrcid_fifo.read();
     p_vci_tgt_int.rtrdid  = m_config_rsp_rtrdid_fifo.read();
     p_vci_tgt_int.rpktid  = m_config_rsp_rpktid_fifo.read();
@@ -2410,20 +2592,26 @@
     p_vci_tgt_int.rerror  = m_config_rsp_rerror_fifo.read();
     p_vci_tgt_int.reop    = m_config_rsp_reop_fifo.read();
-    
+
     // VCI target command ack on INT network
     // it depends on the CONFIG_CMD FSM state
-    switch ( r_config_cmd_fsm.read() ) 
+    switch ( r_config_cmd_fsm.read() )
     {
     case CONFIG_CMD_IDLE:
-        p_vci_tgt_int.cmdack  = true;
-        break;
-    case CONFIG_CMD_NEXT:  
-        p_vci_tgt_int.cmdack  = true;
-        break;
-    case CONFIG_CMD_PUT:	  
-        p_vci_tgt_int.cmdack  = false;
-        break;
-    case CONFIG_CMD_RSP:	  
-        p_vci_tgt_int.cmdack  = false;
+        p_vci_tgt_int.cmdack = true;
+        break;
+    case CONFIG_CMD_WAIT:
+        p_vci_tgt_int.cmdack = false;
+        break;
+    case CONFIG_CMD_HI:
+        p_vci_tgt_int.cmdack = true;
+        break;
+    case CONFIG_CMD_LO:
+        p_vci_tgt_int.cmdack = true;
+        break;
+    case CONFIG_CMD_PUT:
+        p_vci_tgt_int.cmdack = false;
+        break;
+    case CONFIG_CMD_RSP:
+        p_vci_tgt_int.cmdack = false;
         break;
     }
@@ -2431,6 +2619,6 @@
     /////////////////  p_vci_ini_int  ////////////////////////////////
 
-    // VCI initiator command  on INT network 
-    // directly the content of the MISS_WTI_CMD FIFO  
+    // VCI initiator command  on INT network
+    // directly the content of the MISS_WTI_CMD FIFO
     p_vci_ini_int.cmdval  = m_miss_wti_cmd_addr_fifo.rok();
     p_vci_ini_int.address = m_miss_wti_cmd_addr_fifo.read();
@@ -2438,5 +2626,5 @@
     p_vci_ini_int.cmd     = m_miss_wti_cmd_cmd_fifo.read();
     p_vci_ini_int.contig  = m_miss_wti_cmd_contig_fifo.read();
-    p_vci_ini_int.wdata   = m_miss_wti_cmd_data_fifo.read(); 
+    p_vci_ini_int.wdata   = m_miss_wti_cmd_data_fifo.read();
     p_vci_ini_int.eop     = m_miss_wti_cmd_eop_fifo.read();
     p_vci_ini_int.cons    = m_miss_wti_cmd_cons_fifo.read();
